org.norther.tammi.spray.media
Class AbstractMediaContentKeyFilter

java.lang.Object
  extended by org.norther.tammi.core.base.Adaptee
      extended by org.norther.tammi.core.base.DefaultContainer
          extended by org.norther.tammi.spray.filter.AbstractContainerFilter
              extended by org.norther.tammi.spray.media.AbstractMediaContentFilter
                  extended by org.norther.tammi.spray.media.AbstractMediaContentKeyFilter
All Implemented Interfaces:
Serializable, NotificationBroadcaster, NotificationEmitter, Filter, Container, Manageable, MBeanDelegate, ContainerFilter, KeyFilter, TerminationFilter, MediaContentFilter
Direct Known Subclasses:
DefaultMediaContentKeyFilter, DefaultTemporaryContentKeyFilter

public abstract class AbstractMediaContentKeyFilter
extends AbstractMediaContentFilter
implements KeyFilter

An abstract implementation of MediaContentKeyFilter.

Author:
Ilkka Priha
See Also:
Serialized Form

Field Summary
 
Fields inherited from class org.norther.tammi.core.base.Adaptee
ADAPTEE_NOTIF_DESCRIPTION, ADAPTEE_NOTIFICATIONS
 
Fields inherited from interface org.norther.tammi.core.base.MBeanDelegate
ARRAY_TYPE, OBJECT_TYPE, PRIMITIVE_TYPE, STRING_TYPE
 
Constructor Summary
AbstractMediaContentKeyFilter()
          Constructs a new filter.
 
Method Summary
protected  String getContentPath(ServletRequest request, ServletResponse response, FilterChain chain)
          Gets the content path as the key value of this filter.
 String getKey()
          Gets the filter key.
 String getKeyValue(ServletRequest request, ServletResponse response, FilterChain chain)
          Gets the filter key value for the specified request.
 String[] getKeyValues(ServletRequest request, ServletResponse response, FilterChain chain)
          Gets filter key values for the specified request.
 boolean isLinkedKey()
          Checks whether the filter key is part of URL links built within filter chains including this filter.
 void setKey(String key)
          Sets the filter key.
 void setLinkedKey(boolean flag)
          Sets the linked key flag.
 
Methods inherited from class org.norther.tammi.spray.media.AbstractMediaContentFilter
clearFixedPaths, doFilter, fixedKeySet, getFixedPath, getFixedPath, getResource, getResourceProvider, removeFixedPath, setFixedPath
 
Methods inherited from class org.norther.tammi.spray.filter.AbstractContainerFilter
destroy, getFilter, getFilterConfig, getRequestMap, getSessionMap, init
 
Methods inherited from class org.norther.tammi.core.base.DefaultContainer
clear, containsKey, get, getContainerKey, getContainerKey, getContainerKey, getMBean, getMBeanHandle, getMBeanHandles, getMBeanInterface, getMBeanInterface, getObjectName, getObjectNames, getQueryPattern, registryKeySet, registryKeySet, registryKeySet, registryKeySet, registryMap, registrySize, remove, setMBeanInterface, setQueryPattern, setQueryPattern
 
Methods inherited from class org.norther.tammi.core.base.Adaptee
addAdaptee, addNotificationListener, getAttributeSupport, getBroker, getCanonicalName, getDomain, getFactory, getLoader, getLog, getLog, getMBean, getMBeanServer, getNotificationInfo, getObjectName, getRegistrationTime, getSequenceNumber, hasListeners, isRegistered, postmanaged, premanaged, removeNotificationListener, removeNotificationListener, sendNotification, sendNotification, sendNotification, sendNotification, unmanaged, unregister
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 
Methods inherited from interface javax.servlet.Filter
destroy, doFilter, init
 
Methods inherited from interface org.norther.tammi.core.base.Container
clear, containsKey, get, getContainerKey, getContainerKey, getContainerKey, getMBean, getMBeanInterface, getMBeanInterface, getObjectName, getObjectNames, getQueryPattern, registryKeySet, registryKeySet, registryKeySet, registryKeySet, registryMap, registrySize, remove, setMBeanInterface, setQueryPattern, setQueryPattern
 

Constructor Detail

AbstractMediaContentKeyFilter

public AbstractMediaContentKeyFilter()
Constructs a new filter.

Method Detail

getKey

public String getKey()
Description copied from interface: KeyFilter
Gets the filter key.

Specified by:
getKey in interface KeyFilter
Returns:
the filter key.

setKey

public void setKey(String key)
Description copied from interface: KeyFilter
Sets the filter key.

Specified by:
setKey in interface KeyFilter
Parameters:
key - the filter key.

isLinkedKey

public boolean isLinkedKey()
Description copied from interface: KeyFilter
Checks whether the filter key is part of URL links built within filter chains including this filter.

Specified by:
isLinkedKey in interface KeyFilter
Returns:
true for a linked key, otherwise false.

setLinkedKey

public void setLinkedKey(boolean flag)
Description copied from interface: KeyFilter
Sets the linked key flag. Linked keys and their values are automatically included in URL links built within filter chains including this filter.

Specified by:
setLinkedKey in interface KeyFilter
Parameters:
flag - the linked key flag.

getKeyValue

public String getKeyValue(ServletRequest request,
                          ServletResponse response,
                          FilterChain chain)
Description copied from interface: KeyFilter
Gets the filter key value for the specified request. By default, the method returns the last request parameter mapped to the filter key.

Specified by:
getKeyValue in interface KeyFilter
Parameters:
request - the request.
response - the response.
chain - the filter chain.
Returns:
the key value or null.

getKeyValues

public String[] getKeyValues(ServletRequest request,
                             ServletResponse response,
                             FilterChain chain)
Description copied from interface: KeyFilter
Gets filter key values for the specified request. By default, the method returns request parameter values.

Specified by:
getKeyValues in interface KeyFilter
Parameters:
request - the request.
response - the response.
chain - the filter chain.
Returns:
the key values or null.

getContentPath

protected String getContentPath(ServletRequest request,
                                ServletResponse response,
                                FilterChain chain)
Gets the content path as the key value of this filter. Checks also any defined fixed paths. Returns null if the key value is missing.

Overrides:
getContentPath in class AbstractMediaContentFilter
Parameters:
request - the request.
response - the response.
chain - the filter chain.
Returns:
the content path or null.


Copyright © 2004 The Norther Organization. All rights reserved.